Subject: [Tsvwg] draft-ietf-tsvwg-sctpimpguide-01.txt:

From: Jon Grimm <[email-masked]>
Date: Tue, 06 Nov 2001 10:04:17 -0600

> 2.1 Incorrect error type during chunk processing.
> 
> 2.1.1 Description of the problem
> 
>    A typo was discovered in [RFC2960] that incorrectly specifies
>    an action to be taken when processing chunks of unknown identity.
> 
> 2.1.2 Text changes to the document
>    ---------
> 
> Stewart et.al.                                                  [Page 2]
> 
> Internet Draft             SCTP Implementors Guide             June 2001
> 
>    Old text: (Section 3.2)
>    ---------
> 
>    01 - Stop processing this SCTP packet and discard it, do not process
>         any further chunks within it, and report the unrecognized
>         parameter in an 'Unrecognized Parameter Type' (in either an
>         ERROR or in the INIT ACK).
> 
>    ---------
>    New text: (Section 3.2)
>    ---------
> 
>    01 - Stop processing this SCTP packet and discard it, do not process
>         any further chunks within it, and report the unrecognized
>         parameter in an 'Unrecognized Chunk Type' (in either an
>         ERROR or in the INIT ACK).

The New text still doesn't look quite right.   I believe it should be
"unrecognized chunk' instead of 'unrecognized parameter'.  
Additionally, I believe the reference to INIT ACK is also a cut-paste
error from the parameter processing text.  I don't see how an
unrecognized chunk would be reported via INIT ACK.

Maybe:

01 - Stop processing this SCTP packet and discard it, do not process any
futher chunks within it, and report an unrecognized chunk in an
'Unrecognized Chunk Type' ERROR chunk.

Regards,
Jon Grimm

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Randall Stewart <[email-masked]>
Date: Tue, 06 Nov 2001 10:26:55 -0600

Jon:

Good catch :> I will make sure this gets in the
 next revision.
 
R

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)